ConstructorMetaMethodSite (Groovy 2.4.9)
Date: 2017-02-24

org.codehaus.groovy.runtime.callsite

## Class ConstructorMetaMethodSite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.ConstructorMetaMethodSite

- All Implemented Interfaces:
    CallSite

      public class ConstructorMetaMethodSite
      extends MetaMethodSite

  Call site for invoking static methods meta class - cached method - not cached
  Author:
    Alex Tkachman

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

      `params`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

      `metaClass`

    - ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod method, Class[] params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `callConstructor(Object receiver, Object[] args)`
    `Object` | `invoke(Object receiver, Object[] args)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

      `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorMetaMethodSite

          public ConstructorMetaMethodSite(CallSite site,
                                           MetaClassImpl metaClass,
                                           MetaMethod method,
                                           Class[] params)

  - ### Method Detail

    - #### invoke

          public final Object invoke(Object receiver,
                                     Object[] args)
                              throws Throwable

      Throws:
        `Throwable`

    - #### callConstructor

          public final Object callConstructor(Object receiver,
                                              Object[] args)
                                       throws Throwable

      Specified by:
        `callConstructor` in interface `CallSite`
      Overrides:
        `callConstructor` in class `AbstractCallSite`
      Throws:
        `Throwable`